> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Customer Account Onboarded To true

> Manually set a customer account's onboarded status to true.



## OpenAPI

````yaml openapi/zeal-api.json post /customer-accounts/{customerAccountID}/setOnboardedStatusToTrue
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /customer-accounts/{customerAccountID}/setOnboardedStatusToTrue:
    post:
      summary: Set Customer Account Onboarded To true
      operationId: set-customer-account-onboarded-to-true
      parameters:
        - name: customerAccountID
          in: path
          description: Customer Account ID
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                companyID:
                  type: string
                  description: Company ID
            examples:
              Request Example:
                value:
                  companyID: 12349eee40588c3948e312bb
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      business_name: Boboddy
                      ein: '567877898'
                      legal_structure: corp
                      phone: '6789276673'
                      email: boboddy@zeal.com
                      business_address: 1 Ferry Building
                      business_city: San Francisco
                      business_state: CA
                      business_zip: '94105'
                      code: customer-code43
                      company_id: 12349eee40588c3948e312ww
                      customer_account_id: 43349ebe40588c3948e312ab
                      partner_id: 12349eee40588c3948e312bb
                      status: initial_onboarding
                      business_owner:
                        first_name: Bob
                        last_name: Hunt
                        email: boboddy@zeal.com
                        ssn: '234567890'
                        dob: '1990-01-01'
                        title: CEO
                        ownership_percentage: 47
                        owner_type: authorized_signer
                        address: 1 Ferry Building
                        city: San Francisco
                        state: CA
                        zip: '94105'
                      onboarded: true
                    success: true
                    testMode: false
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      business_name:
                        type: string
                        example: Boboddy
                      ein:
                        type: string
                        example: '567877898'
                      legal_structure:
                        type: string
                        example: corp
                      phone:
                        type: string
                        example: '6789276673'
                      email:
                        type: string
                        example: boboddy@zeal.com
                      business_address:
                        type: string
                        example: 1 Ferry Building
                      business_city:
                        type: string
                        example: San Francisco
                      business_state:
                        type: string
                        example: CA
                      business_zip:
                        type: string
                        example: '94105'
                      code:
                        type: string
                        example: customer-code43
                      company_id:
                        type: string
                        example: 12349eee40588c3948e312ww
                      customer_account_id:
                        type: string
                        example: 43349ebe40588c3948e312ab
                      partner_id:
                        type: string
                        example: 12349eee40588c3948e312bb
                      status:
                        type: string
                        example: initial_onboarding
                      business_owner:
                        type: object
                        properties:
                          first_name:
                            type: string
                            example: Bob
                          last_name:
                            type: string
                            example: Hunt
                          email:
                            type: string
                            example: boboddy@zeal.com
                          ssn:
                            type: string
                            example: '234567890'
                          dob:
                            type: string
                            example: '1990-01-01'
                          title:
                            type: string
                            example: CEO
                          ownership_percentage:
                            type: integer
                            example: 47
                            default: 0
                          owner_type:
                            type: string
                            example: authorized_signer
                          address:
                            type: string
                            example: 1 Ferry Building
                          city:
                            type: string
                            example: San Francisco
                          state:
                            type: string
                            example: CA
                          zip:
                            type: string
                            example: '94105'
                      onboarded:
                        type: boolean
                        example: true
                        default: true
                  success:
                    type: boolean
                    example: true
                    default: true
                  testMode:
                    type: boolean
                    example: false
                    default: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    errors:
                      - message: Bank account not verified
                        code: 13
                        status: 400
                        correlationId: d78e712d-1ebe-4a9a-9537-b6abf1dc9853
                    success: false
                    testMode: false
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Bank account not verified
                        code:
                          type: integer
                          example: 13
                          default: 0
                        status:
                          type: integer
                          example: 400
                          default: 0
                        correlationId:
                          type: string
                          example: d78e712d-1ebe-4a9a-9537-b6abf1dc9853
                  success:
                    type: boolean
                    example: false
                    default: true
                  testMode:
                    type: boolean
                    example: false
                    default: true
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````